Skip to main content
POST
Runs an automation through its Manual trigger.

Authorizations

Authorization
string
header
required

Authorization header using the Bearer scheme. Accepted values are Leadping user JWT access tokens and WorkOS organization API keys beginning with sk_.

Path Parameters

id
string
required

The unique identifier of the automation to run.

Response

Returns the newly created automation execution record.

History record schema for Leadping API automation run record data exposed in automation and audit views.

id
string

Unique Leadping identifier for this automation run record.

automationId
null | string

Automation ID connected to this workflow, run, or event.

organizationId
null | string

Organization ID that owns this automation run.

leadId
null | string

Lead ID that triggered this automation run, when the run is lead-based.

triggerType
null | string

Automation trigger type that starts the workflow.

status
string

Current lifecycle status for this automation run record in the Leadping API.

executionMode
string

Execution mode used for automation preview or live workflow processing.

startedAt
string<date-time>

UTC timestamp when processing started for this automation run record.

completedAt
null | string<date-time>

UTC timestamp when processing completed for this automation run record.

processingAttempts
integer<int32>

Number of processing attempts made for this workflow or delivery request.

lastAttemptAt
null | string<date-time>

UTC timestamp when Leadping last attempted to process this automation run.

failureCode
null | string

Machine-readable failure code for troubleshooting this automation run record.

skippedReason
null | string

Human-readable reason explaining why Leadping skipped this automation run.

actions
object[]

Automation actions configured or returned for this workflow.